local _,KEGSTAFF =...;

 function KEGSTAFF.HexToRGB(hex)
	local rhex, ghex, bhex = string.sub(hex, 1, 2), string.sub(hex, 3, 4), string.sub(hex, 5, 6)
	return tonumber(rhex, 16)/255, tonumber(ghex, 16)/255, tonumber(bhex, 16)/255
end


function KEGSTAFF.HideFrames()
for k, v in pairs(TheGoldenKegBeveragesCategory) do KEGSTAFF.PageFrame[k].TopFrame:Hide() end
KEGSTAFF.PageFrame[20].TopFrame:Hide()
end


function countCat(tag,tablenm)

local num_items = table.maxn(TheGoldenKegBeverages)
local num = 0
for i=1,num_items,1 do
			if (string.match(tag, TheGoldenKegBeverages[i].Subcategory) and TheGoldenKegBeverages[i].Category == TheGoldenKegBeveragesCategory[tablenm].Name) then num=num+1
			end
end

return num
end

function KEGSTAFF.SetupMainFrames()

KEGSTAFF.PARENTFRAME = CreateFrame ("Frame", "KEGSTAFFPARENTFRAME");
KEGSTAFF.PARENTFRAME:SetSize(200,450);
KEGSTAFF.PARENTFRAME:ClearAllPoints();
KEGSTAFF.PARENTFRAME:SetPoint("CENTER",0,0)
KEGSTAFF.PARENTFRAME:SetMovable(true)
KEGSTAFF.PARENTFRAME:EnableMouse(true)
KEGSTAFF.PARENTFRAME:RegisterForDrag("LeftButton")
KEGSTAFF.PARENTFRAME:SetScript("OnDragStart", KEGSTAFF.PARENTFRAME.StartMoving)
KEGSTAFF.PARENTFRAME:SetScript("OnDragStop", KEGSTAFF.PARENTFRAME.StopMovingOrSizing)
KEGSTAFF.PARENTFRAME:SetBackdrop( { bgFile = [[Interface\BlackMarket\BlackMarketBackground-Tile]], edgeFile = [[Interface\DialogFrame\UI-DialogBox-Gold-Border]], tile= true, tileSize = 500, edgeSize = 20, insets = {left = 5, right = 5, top = 5, bottom = 5 }});

KEGSTAFF.PARENTFRAME.TITLEFRAME = CreateFrame ("Frame", "KEGSTAFFTITLEFRAME", KEGSTAFFPARENTFRAME);
local Frame = KEGSTAFF.PARENTFRAME.TITLEFRAME
Frame:ClearAllPoints();
Frame:SetFrameStrata("HIGH")
Frame:SetPoint("TOPLEFT",-20,10)
Frame:SetSize(250,100);
--Frame:SetBackdrop( { bgFile = [[Interface\BlackMarket\BlackMarketSign]], edgeFile = [[Interface\DialogFrame\UI-DialogBox-Gold-Border]], tile= false, tileSize = 5, edgeSize = 10, insets = {left = 5, right = 5, top = 5, bottom = 5 }});
Frame:SetBackdrop( { bgFile = [[Interface\BlackMarket\BlackMarketSign]], tile= false, tileSize = 5, edgeSize = 10, insets = {left = 5, right = 5, top = 5, bottom = 5 }});

local font = Frame:CreateFontString("Frame", "OVERLAY", "GameFontNormalSmall");
--font:SetHeight(8)
font:SetPoint("CENTER","KEGSTAFFTITLEFRAME",0,10)

font:SetTextColor(KEGSTAFF.HexToRGB("FFFFFF"))
font:SetFont("Fonts\\FRIZQT__.TTF",8)
font:SetText("V"..KegStaffConfig.version)

local font = Frame:CreateFontString("Frame", "ARTWORK", "GameFontNormalSmall");
--font:SetHeight(8)
font:SetPoint("CENTER","KEGSTAFFTITLEFRAME",0,20)
--font:SetPoint("CENTER",80,-10)
font:SetTextColor(KEGSTAFF.HexToRGB("FFFFFF"))
font:SetFont("Fonts\\FRIZQT__.TTF",10)
font:SetText("The Golden Keg Staff")
KEGSTAFF.PARENTFRAME.PAGE_NAVIGATION = CreateFrame ("Frame", "PAGE_NAVIGATION", KEGSTAFFPARENTFRAME);
local frame = KEGSTAFF.PARENTFRAME.PAGE_NAVIGATION
frame:SetSize(200,450);
frame:ClearAllPoints();
frame:SetPoint("CENTER",KEGSTAFFPARENTFRAME,0,0)

-- Dynamic buttons for menu

local b = {}

for k, v in pairs(TheGoldenKegBeveragesCategory) do
  --print(k, v["Name"], v["Icon"])

if     k >= 11 then 
b_locy = (k-10)*(-40)
t_locx = -50
tjust = "RIGHT"
else
b_locy = 0+(k*-40)
t_locx = 50
tjust = "LEFT"
end

if     k >= 11 then 
b_locx = 200
else
b_locx = -40
end

FrmNm = "Frame"..k

--print (k)
b[k] = CreateFrame ("BUTTON", nil, PAGE_NAVIGATION, "NavIconTemplate");
b[k]:SetPoint("TOPLEFT",PAGE_NAVIGATION,b_locx,b_locy)

local font = b[k]:CreateFontString("Frame", "ARTWORK", "GameFontNormalSmall");
font:SetPoint(tjust,t_locx,0)
font:SetJustifyH("CENTER");
font:SetJustifyV("CENTER");
font:SetTextHeight(10)
font:SetText(TheGoldenKegBeveragesCategory[k].Name)
local tex = b[k]:CreateTexture(nil, "OVERLAY")
tex:ClearAllPoints();
tex:SetTexture(TheGoldenKegBeveragesCategory[k].Icon)
tex:SetSize(35,35);
tex:SetPoint("CENTER",b[k],1,0)
end
b_locy = (20-10)*(-40)
t_locx = -50
tjust = "RIGHT"
b[20] = CreateFrame ("BUTTON", nil, PAGE_NAVIGATION, "NavIconTemplate");
b[20]:SetPoint("TOPLEFT",PAGE_NAVIGATION,b_locx,b_locy)
local font = b[20]:CreateFontString("Frame", "ARTWORK", "GameFontNormalSmall");
font:SetPoint(tjust,t_locx,0)
font:SetJustifyH("CENTER");
font:SetJustifyV("CENTER");
font:SetTextHeight(10)
font:SetText("Settings")
local tex = b[20]:CreateTexture(nil, "OVERLAY")
tex:ClearAllPoints();
tex:SetTexture("Interface\\ICONS\\INV_Misc_Gear_01")
tex:SetSize(35,35);
tex:SetPoint("CENTER",b[20],1,0)



return b
end

function NotesEditBox_Show()
    
        local f = CreateFrame("Frame", "NotesEditBox", UIParent, "DialogBoxFrame")
        f:SetPoint("CENTER")
        f:SetSize(300, 200)

		f:SetBackdrop({
            bgFile = "Interface\\DialogFrame\\UI-DialogBox-Background",
            --edgeFile = "Interface\\PVPFrame\\UI-Character-PVP-Highlight", -- this one is neat
			edgeFile = [[Interface\DialogFrame\UI-DialogBox-Gold-Border]],
            edgeSize = 10,
            insets = { left = 5, right = 5, top = 5, bottom = 5 },
        })
                
        -- Movable
        f:SetMovable(true)
        f:SetClampedToScreen(true)
        f:SetScript("OnMouseDown", function(self, button)
            if button == "LeftButton" then
                self:StartMoving()
            end
        end)
        f:SetScript("OnMouseUp", f.StopMovingOrSizing)
        
        -- ScrollFrame
        local sf = CreateFrame("ScrollFrame", "NotesEditBoxScrollFrame", NotesEditBox, "UIPanelScrollFrameTemplate")
        sf:SetPoint("LEFT", 16, 0)
        sf:SetPoint("RIGHT", -32, 0)
        sf:SetPoint("TOP", 0, -32)
        sf:SetPoint("BOTTOM", NotesEditBoxButton, "TOP", 0, 0)
        
        -- EditBox
        local eb = CreateFrame("EditBox", "NotesEditBoxEditBox", NotesEditBoxScrollFrame)
        eb:SetSize(sf:GetSize())
        eb:SetMultiLine(true)
        eb:SetAutoFocus(false) -- dont automatically focus
        eb:SetFontObject("ChatFontNormal")
        eb:SetScript("OnEscapePressed", function() f:Hide() end)
        sf:SetScrollChild(eb)
        
        -- Resizable
        f:SetResizable(true)
        f:SetMinResize(150, 100)
        
        local rb = CreateFrame("Button", "NotesEditBoxResizeButton", NotesEditBox)
        rb:SetPoint("BOTTOMRIGHT", -6, 7)
        rb:SetSize(16, 16)
        
        rb:SetNormalTexture("Interface\\ChatFrame\\UI-ChatIM-SizeGrabber-Up")
        rb:SetHighlightTexture("Interface\\ChatFrame\\UI-ChatIM-SizeGrabber-Highlight")
        rb:SetPushedTexture("Interface\\ChatFrame\\UI-ChatIM-SizeGrabber-Down")
        
        rb:SetScript("OnMouseDown", function(self, button)
            if button == "LeftButton" then
                f:StartSizing("BOTTOMRIGHT")
                self:GetHighlightTexture():Hide() -- more noticeable
            end
        end)
        rb:SetScript("OnMouseUp", function(self, button)
            f:StopMovingOrSizing()
            self:GetHighlightTexture():Show()
            eb:SetWidth(sf:GetWidth())
        end)
        f:Show()
		NotesEditBoxButton:SetText("Close")
		
		
		
KegPopUpNotes = NotesEditBox:CreateFontString("NotesEditBox", "ARTWORK", "GameFontNormal");
font = KegPopUpNotes
font:SetPoint("CENTER",0,90)
font:SetJustifyH("CENTER");
font:SetJustifyV("CENTER");
font:SetTextHeight(12)
font:SetText("text")
		
    --NotesEditBox:Show()
end
